## Float
Floating-point variable type

### Declaration
```glsl
float aFloat = 1.0;
float bFloat = float(aBool);
float cFloat = float(aInt);
```

### Description 
```float``` is used for floating point values.

### See Also
[void](index.html#void.md), [bool](index.html#bool.md), [int](index.html#int.md), [float](index.html#float.md), [bvec2](index.html#bvec2.md), [bvec3](index.html#bvec3.md), [bvec4](index.html#bvec4.md), [struct](index.html#struct.md)